Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-23741

AMD OpenGL drivers refuse to build shaders with no specified version if Core Profile is enabled.

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Invalid
    • Affects Version/s: 4.8.0
    • Fix Version/s: None
    • Component/s: GUI: OpenGL
    • Environment:
      Windows 7
      Driver Package Information: 8.92-111109a-129966C-ATI

      Description

      It seems that the GLSL version numbers are not specified in the shader source provided in the OpenGL module. I enabled the Core Profile, and tried to construct a QPainter for 2D overpainting, however the application crashes after trying to compile the internal Qt shaders.

      Errors:

      QGLShader::compile(Vertex): Vertex shader failed to compile with the following errors:
      ERROR: error(#272) Implicit version number 110 not supported by GL3 forward compatible context
      ERROR: error(#273) 1 compilation errors. No code generated

      Vertex shader for simpleShaderProg (MainVertexShader & PositionOnlyVertexShader) failed to compile
      QGLShader::compile(Fragment): Fragment shader failed to compile with the following errors:
      ERROR: error(#272) Implicit version number 110 not supported by GL3 forward compatible context
      ERROR: error(#273) 1 compilation errors. No code generated

      Fragment shader for simpleShaderProg (MainFragmentShader & ShockingPinkSrcFragmentShader) failed to compile
      QGLShader::link: "Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called. Link failed.
      "
      Errors linking simple shader: "Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called. Link failed.
      "
      QGLShader::compile(Vertex): Vertex shader failed to compile with the following errors:
      ERROR: error(#272) Implicit version number 110 not supported by GL3 forward compatible context
      ERROR: error(#273) 1 compilation errors. No code generated

      Vertex shader for blitShaderProg (MainWithTexCoordsVertexShader & UntransformedPositionVertexShader) failed to compile
      QGLShader::compile(Fragment): Fragment shader failed to compile with the following errors:
      ERROR: error(#272) Implicit version number 110 not supported by GL3 forward compatible context
      ERROR: error(#273) 1 compilation errors. No code generated

      Fragment shader for blitShaderProg (MainFragmentShader & ImageSrcFragmentShader) failed to compile
      QGLShader::link: "Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called. Link failed.
      "
      Errors linking blit shader: "Vertex and Fragment shader(s) were not successfully compiled before glLinkProgram() was called. Link failed.
      "
      QGLShader::compile(Fragment)[Fragment shader: main=MainFragmentShader_M, srcPixel=SolidBrushSrcFragmentShader, composition=NoCompositionModeFragmentShader, mask=RgbMaskFragmentShaderPass1]: Fragment shader failed to compile with the following errors:
      ERROR: error(#272) Implicit version number 110 not supported by GL3 forward compatible context
      ERROR: error(#273) 1 compilation errors. No code generated

      Warning: "Fragment shader: main=MainFragmentShader_M, srcPixel=SolidBrushSrcFragmentShader, composition=NoCompositionModeFragmentShader, mask=RgbMaskFragmentShaderPass1" failed to compile!

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            drjharri Donald Harris
            Votes:
            1 Vote for this issue
            Watchers:
            7 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes